# Changelog

## 2024-07-02 - 1.0.7 - fix(metadata)
Update project metadata and readme for new scope and descriptions

- Updated package name and description in package.json
- Updated repository and scope information in npmextra.json
- Expanded readme with detailed usage instructions and examples

## 2024-07-01 - 1.0.6 - fix(medium)
Fix various bugs and improve async handling.

- Update @push.rocks/qenv dependency to ^6.0.5
- Fix bug in test: await getEnvVarOnDemand
- Improve error handling in getAccountInfo
- Simplify fetching publications by refactoring methods in MediumPublication and MediumAccount classes

## 2024-07-01 - 1.0.5 - fix(core)
Fixed module name inconsistencies and documentation links

- Corrected module names in package.json and VSCode launch configuration.
- Updated npm package name from '@pushrocks' to '@push.rocks' in readme.md and package.json.
- Fixed test imports and improved test scripts.
- Added updated TypeScript configuration file tsconfig.json.

## 2020-11-17 - 1.0.4 - No significant changes

No significant changes made in this version update.

## 2020-11-16 - 1.0.3 to 1.0.1 - Core Updates
Routine maintenance and updates in the core functionality.

- fix(core): update

